// Singleton TFX object

#include <basic.h>
#include <btron/tf.h>
#include "singletf.h"

TF_CTX TF_Singleton::tf_ctx = 0;

TF_CTX TF_Singleton::getCTX()
{
  if (tf_ctx == 0) {
    tf_open_ctx(&tf_ctx);
    // 1Хʸνʤ
    tf_set_options(tf_ctx, tf_to_id(TF_ID_OPT_CONVERT, "CONV_SBCHAR_HAN"), 1);
    // 
    tf_set_options(tf_ctx, tf_to_id(TF_ID_OPT_CONVERT, "UNDEFINED_CHAR"), 0);
#if 0
    // Unicode̤ؤѴ
    tf_set_options(tf_ctx, tf_to_id(TF_ID_OPT_CONVERT, "ASCII_TO_UNICODE"), 1);
#endif
  }
  return tf_ctx;
}

void TF_Singleton::finalize()
{
  if (tf_ctx != 0) {
    tf_close_ctx(tf_ctx);
    tf_ctx = 0;
  }
}

