//========================================================================
//
// XPDFDisp.h
//
// Copyright 2010 Takeshi Yashiro <yashiromann@nifty.com>
//
//========================================================================

#ifndef XPDFDISP_H
#define XPDFDISP_H

#include <aconf.h>
#include <basic.h>
#include "fusen.h"

class XPDFDisp
{
public:
    XPDFDisp(W gid, const LINK& lnk, const XpdfFusen& fusen);

    W draw(GString* ownerPwd = 0, GString* userPwd = 0);

private:
    void draw_fallback();

    W m_gid;
    LINK m_lnk;
    XpdfFusen m_fusen;
};

#endif
